Subject: bug#34199: closed (Re: bug#34199: Small bug in cp (for win64))

From: Chris Kalish <[email-masked]>
Date: Tue, 12 Feb 2019 13:14:21 -0500

Hi, Bob ... thanks so much for the info! (very entertaining!) 🤓

You were right ... I had installed the newer version of Coreutils from
cygwin and that works better (but still has some NTFS-related bugs, I
think).

New version:

C:\temp\x\x>cp --version
cp (GNU coreutils) 8.26
Packaged by Cygwin (8.26-2)
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html
>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.

1. Does not seem to like directories or filenames with European characters:

*Windows Copy (works):*

C:\temp\x\x>copy /b "t:\xdrive\SameTimeChatTranscripts\CN=Linda
Bañuelos,OU=Corporate,O=GeneralElectric" .

t:\xdrive\SameTimeChatTranscripts\CN=Linda
Bañuelos,OU=Corporate,O=GeneralElectric\ChatHistory.properties

        1 file(s) copied.

*CP (does not work):*

C:\temp\x\x>cp "t:\xdrive\SameTimeChatTranscripts\CN=Linda
Bañuelos,OU=Corporate,O=GeneralElectric" .

cp: cannot stat '"t:\xdrive\SameTimeChatTranscripts\CN=Linda
Ba'$'\303\261''uelos,OU=Corporate,O=GeneralElectric"': No such file or
directory

There seems to be a problem with long directory names, still, but I'm still
working on isolating that.  Can you give any insight into the above?

Thanks!!!!

-chris

On Sun, Feb 10, 2019 at 5:17 PM Bob Proulx <[email-masked]> wrote:

> Chris Kalish wrote:
> > Hmmm ... not sure of the distribution, but the help file pointed me at
> this
> > address:
>
> > C:\> cp --version
> > cp (GNU coreutils) 5.3.0
>
> I always hate it when I am on your side of things and upstream says
> this to me.  But here I am on the other side and going to say almost
> exactly the thing I hate to hear.
>
> Coreutils 5.3.0 was released on 2005-01-08 and today is 2019-02-10
> making that version of the program you are running 14 years old!  That
> is a very long time ago.  Since you are running on MS-Windows I will
> say that was probably five whole versions of Microsoft ago!  It would
> not be practically possible for most of us to recreate that version on
> MS-Windows-XP of that era.  This makes it difficult to impossible to
> do anything about even if we had an alive build system from 2005 still
> running.  Plus here we are concerned about software on free(dom)
> licensed platforms and Microsoft is a closed source proprietary
> platform.  That was always supported by other teams doing ports to
> non-free operating systems.  What's a developer to do? :-(
>
> Perhaps I should ignore all of the years and simply say, yes, that is
> a bug.  (I don't really know.  But I will say it.  Searching the
> changelogs will show that 5.3.0 did introduce a number of bugs.)  And
> we have fixed it!  The new version is v8.30 and that bug is fixed.
> Eric reported that it was not a problem for Cygwin on MS-Windows.
> Please upgrade to it and confirm with us that it is working for you
> there.  Maybe that would be a less unpleasant to hear? :-)
>
> > C:\> cp --help
> > Report bugs to <[email-masked]>.
>
> We are happy to have bugs reported here.  But often in ports the
> behavior is dependent upon the port environment.  That is outside of
> our control.
>
> Please do upgrade to a newer version.  Cygwin tends to be the most
> capable version.  Although there are other ports too.  We would
> appreciate hearing about how this worked out for you regardless.
>
> And maybe along the way you might consider upgrading to a free(dom)
> software licensed operating system?  Then you would have upgrades
> available by default. :-)
>
> Bob
>